com.corticon.rulesemf.ast

## Interface AssignmentExpression

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, GeneralExpression, org.eclipse.emf.common.notify.Notifier

      public interface AssignmentExpression
      extends GeneralExpression

  A representation of the model object 'Assignment Expression'.

  The following features are supported:

  - `Assignment Operator`
  - `Postfix Expression`
  - `Expression`
  See Also:
    `AstPackage.getAssignmentExpression()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssignmentOperator` | `getAssignmentOperator()` Returns the value of the 'Assignment Operator' containment reference
    `Expression` | `getExpression()` Returns the value of the 'Expression' containment reference
    `PostfixExpression` | `getPostfixExpression()` Returns the value of the 'Postfix Expression' containment reference
    `void` | `setAssignmentOperator(AssignmentOperator value)` Sets the value of the '`Assignment Operator`' containment reference
    `void` | `setExpression(Expression value)` Sets the value of the '`Expression`' containment reference
    `void` | `setPostfixExpression(PostfixExpression value)` Sets the value of the '`Postfix Expression`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getAssignmentOperator

          AssignmentOperator getAssignmentOperator()

      Returns the value of the 'Assignment Operator' containment reference.

      If the meaning of the 'Assignment Operator' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Assignment Operator' containment reference.
      See Also:
        `setAssignmentOperator(AssignmentOperator)`, `AstPackage.getAssignmentExpression_AssignmentOperator()`

    - #### setAssignmentOperator

          void setAssignmentOperator(AssignmentOperator value)

      Sets the value of the '`Assignment Operator`' containment reference.
      Parameters:
        `value` - the new value of the 'Assignment Operator' containment reference.
      See Also:
        `getAssignmentOperator()`

    - #### getPostfixExpression

          PostfixExpression getPostfixExpression()

      Returns the value of the 'Postfix Expression' containment reference.

      If the meaning of the 'Postfix Expression' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Postfix Expression' containment reference.
      See Also:
        `setPostfixExpression(PostfixExpression)`, `AstPackage.getAssignmentExpression_PostfixExpression()`

    - #### setPostfixExpression

          void setPostfixExpression(PostfixExpression value)

      Sets the value of the '`Postfix Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Postfix Expression' containment reference.
      See Also:
        `getPostfixExpression()`

    - #### getExpression

          Expression getExpression()

      Returns the value of the 'Expression' containment reference.

      If the meaning of the 'Expression' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expression' containment reference.
      See Also:
        `setExpression(Expression)`, `AstPackage.getAssignmentExpression_Expression()`

    - #### setExpression

          void setExpression(Expression value)

      Sets the value of the '`Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Expression' containment reference.
      See Also:
        `getExpression()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.